Bug 33703 - MathML Support
Summary: MathML Support
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 42472
Blocks: 3251
  Show dependency treegraph
 
Reported: 2010-01-14 20:15 PST by Alex Milowski
Modified: 2010-08-09 06:37 PDT (History)
6 users (show)

See Also:


Attachments
MathML Monster Patch (137.70 KB, patch)
2010-01-14 20:15 PST, Alex Milowski
no flags Details | Formatted Diff | Diff
Updated monster patch with the latest trunk and MathML code (120.29 KB, patch)
2010-02-08 20:52 PST, Alex Milowski
no flags Details | Formatted Diff | Diff
Updated patch to fix conflict in xcode project (120.28 KB, patch)
2010-02-10 10:36 PST, Alex Milowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Milowski 2010-01-14 20:15:14 PST
Created attachment 46637 [details]
MathML Monster Patch

This patch contains all the current code for MathML.  While this implementation is not complete, it will be updated as much as possible.  As smaller portions of this code are committed, the patch will be updated.
Comment 1 Alex Milowski 2010-02-08 20:52:17 PST
Created attachment 48388 [details]
Updated monster patch with the latest trunk and MathML code

The latest patch gets rid of anonymous blocks and seems to work quite a bit better.
Comment 2 Alex Milowski 2010-02-10 10:36:04 PST
Created attachment 48509 [details]
Updated patch to fix conflict in xcode project
Comment 3 Beth Dakin 2010-07-08 13:05:50 PDT
There hasn't been any activity on this bug in a while even though there has been lots of other MathML work. Alex, is this bug still relevant?
Comment 4 Alex Milowski 2010-07-09 03:09:56 PDT
Yes.  This patch still contains the mfenced code.  That needs to extracted from this patch and submitted separately.  After that, this bug can be closed out without using the patch.

There is a similar need in bug 15302 where the parsing changes for XHTML need to be extracted and submitted separately.
Comment 5 Beth Dakin 2010-07-09 10:49:58 PDT
I see. Thanks Alex!
Comment 6 Alex Milowski 2010-08-09 06:37:09 PDT
All the code contained in this patch has now been applied via separate patches.  As such, this patch is no longer valid.